IM_SMUDGE(3)

NAME
im_smudge, im_smear - filter and smudge in place

SYNOPSIS
#include <vips/vips.h> int
im_smudge( im, ix, iy, r )
IMAGE *im;
int ix, iy;
Rect *r; int
im_smear( im, ix, iy, r )
IMAGE *im;
int ix, iy;
Rect *r;

DESCRIPTION
im_smudge() performs a low-pass filter of the pels inside rect r. Rect r is clipped against the edges of the image. im_smear() is not very useful. Both these functions are `in place,' that is, they write directly to the output image! Be very careful, you can destroy data.

RETURN VALUE
All functions return 0 on success and -1 on error.

SEE ALSO
im_insertplace(3), im_readpoint(3).

COPYRIGHT
National Gallery, 1992

AUTHOR
J. Cupitt